Move category
/fscmRestApi/resources/11.13.18.05/categoryHierarchies/{categoryHierarchiesUniqID}/action/moveCategory
Request
-
categoryHierarchiesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Catalog Category Hierarchies resource and used to uniquely identify an instance of Catalog Category Hierarchies. The client should not generate the hash key value. Instead, the client should query on the Catalog Category Hierarchies collection resource in order to navigate to a specific instance of Catalog Category Hierarchies to get the hash key.
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/vnd.oracle.adf.action+json
object-
newParentCategoryId: number
Unique identifier for the parent category under which the item or browsing category is moved.
Response
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
object-
result(required): string
If the request is successful, this action returns a 200 status code.
Examples
This example describes how to Move a browsing or item category under another browsing category.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d '{ "newParentCategoryId": "300100650831601" }' "https://servername/fscmRestApi/resources/version/categoryHierarchies/categoryHierarchiesUniqID/action/moveCategory"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d '{ "newParentCategoryId": "300100650831601" }' "https://servername/fscmRestApi/resources/version/categoryHierarchies/300100650831612,1/action/moveCategory"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"newParentCategoryId": "300100650831601"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"result": "SUCCESS"
}